> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/agents/{agent_id}/workflow/summary

> Get the workflow of an agent.

Returns the [workflow](/test/simulations/reference.md#workflow) of one agent as `nodes` and `edges`. Use a node ID in a [conditional metric](/test/metrics.md#conditional-metrics). If the agent has no workflow provider, the request returns `400`.## Path parameters

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## ResponseThe response is `object`.## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request GET \
  --url https://api.getbluejay.ai/v1/agents/{agent_id}/workflow/summary \
  --header 'X-API-Key: <api-key>'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.